Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
CoinTreeNode Class Reference

A class from which the real tree nodes should be derived from. More...

`#include <CoinSearchTree.hpp>`

Collaboration diagram for CoinTreeNode:
[legend]

## Public Member Functions
virtual | ~CoinTreeNode ()
int | getDepth () const
int | getFractionality () const
double | getQuality () const
double | getTrueLB () const
BitVector128 | getPreferred () const
void | setDepth (int d)
void | setFractionality (int f)
void | setQuality (double q)
void | setTrueLB (double tlb)
void | setPreferred (BitVector128 p)

## Protected Member Functions
| CoinTreeNode ()
| CoinTreeNode (int d, int f=-1, double q=-COIN_DBL_MAX, double tlb=-COIN_DBL_MAX, BitVector128 p=BitVector128())
| CoinTreeNode (const CoinTreeNode &x)
CoinTreeNode & | operator= (const CoinTreeNode &x)

## Private Attributes
int | depth_
| The depth of the node in the tree. More...
int | fractionality_
| A measure of fractionality, e.g., the number of unsatisfied integrality requirements. More...
double | quality_
| Some quality for the node. More...
double | true_lower_bound_
| A true lower bound on the node. More...
BitVector128 | preferred_

## Detailed Description

A class from which the real tree nodes should be derived from.

Some of the data that undoubtedly exist in the real tree node is replicated here for fast access. This class is used in the various comparison functions.

Definition at line 44 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinTreeNode::CoinTreeNode | ( |  | ) |
| inline protected

Definition at line 46 of file CoinSearchTree.hpp.

CoinTreeNode::CoinTreeNode | ( | int | d,
|  | int | f = `-1`,
|  | double | q = `-COIN_DBL_MAX`,
|  | double | tlb = `-COIN_DBL_MAX`,
|  | BitVector128 | p = `BitVector128()`
| ) |  |
| inline protected

Definition at line 54 of file CoinSearchTree.hpp.

CoinTreeNode::CoinTreeNode | ( | const CoinTreeNode & | x | ) |
| inline protected

Definition at line 66 of file CoinSearchTree.hpp.

virtual CoinTreeNode::~CoinTreeNode | ( |  | ) |
| inline virtual

Definition at line 104 of file CoinSearchTree.hpp.

## Member Function Documentation

CoinTreeNode& CoinTreeNode::operator= | ( | const CoinTreeNode & | x | ) |
| inline protected

Definition at line 74 of file CoinSearchTree.hpp.

int CoinTreeNode::getDepth | ( |  | ) | const
| inline

Definition at line 106 of file CoinSearchTree.hpp.

int CoinTreeNode::getFractionality | ( |  | ) | const
| inline

Definition at line 107 of file CoinSearchTree.hpp.

double CoinTreeNode::getQuality | ( |  | ) | const
| inline

Definition at line 108 of file CoinSearchTree.hpp.

double CoinTreeNode::getTrueLB | ( |  | ) | const
| inline

Definition at line 109 of file CoinSearchTree.hpp.

BitVector128 CoinTreeNode::getPreferred | ( |  | ) | const
| inline

Definition at line 110 of file CoinSearchTree.hpp.

void CoinTreeNode::setDepth | ( | int | d | ) |
| inline

Definition at line 112 of file CoinSearchTree.hpp.

void CoinTreeNode::setFractionality | ( | int | f | ) |
| inline

Definition at line 113 of file CoinSearchTree.hpp.

void CoinTreeNode::setQuality | ( | double | q | ) |
| inline

Definition at line 114 of file CoinSearchTree.hpp.

void CoinTreeNode::setTrueLB | ( | double | tlb | ) |
| inline

Definition at line 115 of file CoinSearchTree.hpp.

void CoinTreeNode::setPreferred | ( | BitVector128 | p | ) |
| inline

Definition at line 116 of file CoinSearchTree.hpp.

## Member Data Documentation

int CoinTreeNode::depth_
| private

The depth of the node in the tree.

Definition at line 88 of file CoinSearchTree.hpp.

int CoinTreeNode::fractionality_
| private

A measure of fractionality, e.g., the number of unsatisfied integrality requirements.

Definition at line 91 of file CoinSearchTree.hpp.

double CoinTreeNode::quality_
| private

Some quality for the node.

For normal branch-and-cut problems the LP relaxation value will do just fine. It is probably an OK approximation even if column generation is done.

Definition at line 95 of file CoinSearchTree.hpp.

double CoinTreeNode::true_lower_bound_
| private

A true lower bound on the node.

May be -infinity. For normal branch-and-cut problems the LP relaxation value is OK. It is different when column generation is done.

Definition at line 99 of file CoinSearchTree.hpp.

BitVector128 CoinTreeNode::preferred_
| private

Definition at line 101 of file CoinSearchTree.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinSearchTree.hpp